Bug 240523 - [NEW PORT] editors/mle: Small, flexible, terminal-based text editor
Summary: [NEW PORT] editors/mle: Small, flexible, terminal-based text editor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL: https://github.com/adsr/mle
Keywords: feature, needs-qa
Depends on: 240522
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-12 04:05 UTC by as
Modified: 2019-09-21 14:26 UTC (History)
1 user (show)

See Also:


Attachments
port diff (2.07 KB, patch)
2019-09-12 04:05 UTC, as
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description as 2019-09-12 04:05:50 UTC
Created attachment 207407 [details]
port diff

Depends on libtermbox (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240522)
Comment 1 Mateusz Piotrowski freebsd_committer 2019-09-17 07:50:26 UTC
Quick note: you do not have to set PORTREVISION. See https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#makefile-naming.
Comment 2 Mateusz Piotrowski freebsd_committer 2019-09-17 08:06:20 UTC
Also, it is unnecessary to use both GH_TAGNAME and DISTVERSION.

I'll update the port to v1.4.0 btw, as I see it was release recently.

Let me know if you'd prefer to keep it at 1.3.0.
Comment 3 Mateusz Piotrowski freebsd_committer 2019-09-20 12:16:33 UTC
I've cleaned up the patch a little bit and added tests. There is still a failing test there. Could you take a look? 

https://reviews.freebsd.org/D21689
Comment 4 as 2019-09-21 00:24:55 UTC
I tagged release v1.4.1 on github (commit 42f6e29) which should be test clean. Thank you Mateusz.
Comment 5 commit-hook freebsd_committer 2019-09-21 14:22:05 UTC
A commit references this bug:

Author: 0mp
Date: Sat Sep 21 14:21:46 UTC 2019
New revision: 512497
URL: https://svnweb.freebsd.org/changeset/ports/512497

Log:
  New port: editors/mle: Small, flexible, terminal-based text editor

  mle is a small, flexible, terminal-based text editor written in C.
  Notable features include: full Unicode support, syntax highlighting,
  scriptable rc file, macros, search and replace (PCRE), window
  splitting, multiple cursors, and integration with various shell
  commands.

  WWW: https://github.com/adsr/mle

  PR:		240523
  Submitted by:	as@php.net
  Differential Revision:	https://reviews.freebsd.org/D21689
  Event:		EuroBSDcon 2019

Changes:
  head/editors/Makefile
  head/editors/mle/
  head/editors/mle/Makefile
  head/editors/mle/distinfo
  head/editors/mle/pkg-descr
Comment 6 Mateusz Piotrowski freebsd_committer 2019-09-21 14:26:00 UTC
Committed!

It's awesome that the tests are running fine now!
Comment 7 commit-hook freebsd_committer 2019-09-21 14:26:07 UTC
A commit references this bug:

Author: 0mp
Date: Sat Sep 21 14:25:18 UTC 2019
New revision: 512500
URL: https://svnweb.freebsd.org/changeset/ports/512500

Log:
  Update to v1.4.1

  This release integrates FreeBSD test fixes.

  PR:		240523
  Submitted by:	as@php.net (maintainer)
  Event:		EuroBSDcon 2019

Changes:
  head/editors/mle/Makefile
  head/editors/mle/distinfo